<!--
 Copyright 2020 Google LLC

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
-->

{{ define "home" }}

{{ template "header" . }}
<div {{ with $.platform_css }} class="{{.}}" {{ end }}>
  <span class="platform-flag">
    {{$.platform_name}}
  </span>
</div>
<main role="main" class="home">

  <!-- The image at the top of the home page, displayed on smaller screens. -->
  <div class="home-mobile-hero-banner d-lg-none"></div>

  <div class="container-fluid">
    <div class="row">

      <!-- The image on the left of the home page, displayed on larger screens. -->
      <div class="col-4 d-none d-lg-block home-desktop-left-image"></div>

      <div class="col-12 col-lg-8">

        <div class="row hot-products-row px-xl-6">

          <div class="col-12">
            <h3>Hot Products Main</h3>
          </div>

          {{ range $.products }}
          <div class="col-md-4 hot-product-card">
            <a href="/product/{{.Item.Id}}">
              <img alt="" src="{{.Item.Picture}}">
              <div class="hot-product-card-img-overlay"></div>
            </a>
            <div>
              <div class="hot-product-card-name">{{ .Item.Name }}</div>
              <div class="hot-product-card-price">{{ renderMoney .Price }}</div>
            </div>
          </div>
          {{ end }}

        </div>

        <!-- Footer for larger screens. -->
        <div class="row d-none d-lg-block home-desktop-footer-row">
          <div class="col-12 p-0">
            {{ template "footer" . }}
          </div>
        </div>

      </div>

    </div>
  </div>

</main>

<!-- Footer for smaller screens. -->
<div class="d-lg-none">
  {{ template "footer" . }}
</div>

{{ end }}
